Bug 176040 - games/hllib update and maintainer change
Summary: games/hllib update and maintainer change
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Felippe de Meirelles Motta
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-12 00:50 UTC by Danilo Egêa Gondolfo
Modified: 2013-02-14 22:12 UTC (History)
0 users

See Also:


Attachments
file.diff (13.58 KB, patch)
2013-02-12 00:50 UTC, Danilo Egêa Gondolfo
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Danilo Egêa Gondolfo 2013-02-12 00:50:00 UTC
games/hllib version update (2.4.3 -> 2.4.4) and maintainer change.

Changes:

- Patches to silence a lot of clang warnings.
- Update from 2.4.3 to 2.4.4.
- Maintainer change.

Fix: Patch attached with submission follows:
Comment 1 Felippe de Meirelles Motta freebsd_committer 2013-02-13 15:33:32 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lippe

I'll take it.
Comment 2 dfilter service freebsd_committer 2013-02-14 22:04:18 UTC
Author: lippe
Date: Thu Feb 14 22:04:06 2013
New Revision: 312244
URL: http://svnweb.freebsd.org/changeset/ports/312244

Log:
  - Update to 2.4.4
  - Pass maintainership to submitter
  - Make CLANG happy
  
  PR:		ports/176040
  Submitted by:	Danilo Egea Gondolfo <danilogondolfo@gmail.com>

Added:
  head/games/hllib/files/
  head/games/hllib/files/patch-HLLib-BSPFile.cpp   (contents, props changed)
  head/games/hllib/files/patch-HLLib-DirectoryFolder.cpp   (contents, props changed)
  head/games/hllib/files/patch-HLLib-Error.cpp   (contents, props changed)
  head/games/hllib/files/patch-HLLib-FileStream.cpp   (contents, props changed)
  head/games/hllib/files/patch-HLLib-GCFFile.cpp   (contents, props changed)
  head/games/hllib/files/patch-HLLib-HLLib.cpp   (contents, props changed)
  head/games/hllib/files/patch-HLLib-NCFFile.cpp   (contents, props changed)
  head/games/hllib/files/patch-HLLib-SGAFile.cpp   (contents, props changed)
  head/games/hllib/files/patch-HLLib-SGAFile.h   (contents, props changed)
  head/games/hllib/files/patch-HLLib-VBSPFile.cpp   (contents, props changed)
  head/games/hllib/files/patch-HLLib-VPKFile.cpp   (contents, props changed)
  head/games/hllib/files/patch-HLLib-WADFile.cpp   (contents, props changed)
  head/games/hllib/files/patch-HLLib-XZPFile.cpp   (contents, props changed)
  head/games/hllib/files/patch-HLLib-ZIPFile.cpp   (contents, props changed)
Modified:
  head/games/hllib/Makefile   (contents, props changed)
  head/games/hllib/distinfo   (contents, props changed)

Modified: head/games/hllib/Makefile
==============================================================================
--- head/games/hllib/Makefile	Thu Feb 14 21:36:20 2013	(r312243)
+++ head/games/hllib/Makefile	Thu Feb 14 22:04:06 2013	(r312244)
@@ -2,23 +2,25 @@
 # $FreeBSD$
 
 PORTNAME=	hllib
-PORTVERSION=	2.4.3
+PORTVERSION=	2.4.4
 CATEGORIES=	games devel
 MASTER_SITES=	http://nemesis.thewavelength.net/files/files/
 DISTNAME=	${PORTNAME}${PORTVERSION:S/.//g}
 
-MAINTAINER=	ports@FreeBSD.org
+MAINTAINER=	danilogondolfo@gmail.com
 COMMENT=	Library to work with various Half-Life file formats
 
 LICENSE=	LGPL21
 
 USE_ZIP=	yes
-USE_DOS2UNIX=	Makefile			# required by make(1)
+USE_DOS2UNIX=	yes
 USE_LDCONFIG=	yes
 WRKSRC=		${WRKDIR}/HLLib
 CFLAGS+=	-fpic -DUSE_ZLIB
 
-HLLIB_VERS=	2.3.0
+PATCH_WRKSRC=	${WRKDIR}
+
+HLLIB_VERS=	2.4.4
 PLIST_FILES=	include/hl.h lib/libhl.so.${HLLIB_VERS} \
 		lib/libhl.so.2 lib/libhl.so
 
@@ -33,5 +35,7 @@ post-patch:
 	@${REINPLACE_CMD} -e '/friend CSGADirectory/d' ${WRKSRC}/SGAFile.h
 # Add missing -lz
 	@${REINPLACE_CMD} -e '/$$(LDFLAGS)/s,$$, -lz,' ${WRKSRC}/Makefile
+# Fix library version
+	@${REINPLACE_CMD} -e 's/2\.3\.0/2\.4\.4/' ${WRKSRC}/Makefile
 
 .include <bsd.port.mk>

Modified: head/games/hllib/distinfo
==============================================================================
--- head/games/hllib/distinfo	Thu Feb 14 21:36:20 2013	(r312243)
+++ head/games/hllib/distinfo	Thu Feb 14 22:04:06 2013	(r312244)
@@ -1,2 +1,2 @@
-SHA256 (hllib243.zip) = 2eafa706ab4cccea0c9966f45e5eabf4bad27b5b4b224cc6592ba68debd54ae0
-SIZE (hllib243.zip) = 591480
+SHA256 (hllib244.zip) = cb94da1c32e9577dce1aa2bbb77f283212684afcd7814d42228c9ffff71d3699
+SIZE (hllib244.zip) = 593745

Added: head/games/hllib/files/patch-HLLib-BSPFile.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/hllib/files/patch-HLLib-BSPFile.cpp	Thu Feb 14 22:04:06 2013	(r312244)
@@ -0,0 +1,19 @@
+--- ../orig/HLLib/BSPFile.cpp	2010-10-31 22:48:46.000000000 -0200
++++ ./HLLib/BSPFile.cpp	2013-02-11 17:56:51.271215107 -0200
+@@ -203,10 +203,14 @@
+ 						hlAttributeSetUnsignedInteger(&Attribute, this->lpItemAttributeNames[eAttribute], uiPaletteSize, hlFalse);
+ 						return hlTrue;
+ 					}
++					default:
++						;
+ 				}
+ 			}
+ 			break;
+ 		}
++		default:
++			;
+ 	}
+ 
+ 	return hlFalse;
+Only in ./HLLib: BSPFile.cpp.orig
+diff -ru ../orig/HLLib/DirectoryFolder.cpp ./HLLib/DirectoryFolder.cpp

Added: head/games/hllib/files/patch-HLLib-DirectoryFolder.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/hllib/files/patch-HLLib-DirectoryFolder.cpp	Thu Feb 14 22:04:06 2013	(r312244)
@@ -0,0 +1,58 @@
+--- ../orig/HLLib/DirectoryFolder.cpp	2012-09-17 20:16:52.000000000 -0300
++++ ./HLLib/DirectoryFolder.cpp	2013-02-11 17:56:51.275211034 -0200
+@@ -517,6 +517,8 @@
+ 		case HL_ITEM_FILE:
+ 			uiSize += static_cast<const CDirectoryFile *>(pItem)->GetSize();
+ 			break;
++		default:
++			;
+ 		}
+ 	}
+ 
+@@ -541,6 +543,8 @@
+ 		case HL_ITEM_FILE:
+ 			uiSize += static_cast<hlULongLong>(static_cast<const CDirectoryFile *>(pItem)->GetSize());
+ 			break;
++		default:
++			;
+ 		}
+ 	}
+ 
+@@ -565,6 +569,8 @@
+ 		case HL_ITEM_FILE:
+ 			uiSize += static_cast<const CDirectoryFile *>(pItem)->GetSizeOnDisk();
+ 			break;
++		default:
++			;
+ 		}
+ 	}
+ 
+@@ -589,6 +595,8 @@
+ 		case HL_ITEM_FILE:
+ 			uiSize += static_cast<hlULongLong>(static_cast<const CDirectoryFile *>(pItem)->GetSizeOnDisk());
+ 			break;
++		default:
++			;
+ 		}
+ 	}
+ 
+@@ -611,6 +619,8 @@
+ 				uiCount += static_cast<const CDirectoryFolder *>(pItem)->GetFolderCount(bRecurse);
+ 			}
+ 			break;
++		default:
++			;
+ 		}
+ 	}
+ 
+@@ -635,6 +645,8 @@
+ 		case HL_ITEM_FILE:
+ 			uiCount++;
+ 			break;
++		default:
++			;
+ 		}
+ 	}
+ 
+Only in ./HLLib: DirectoryFolder.cpp.orig
+diff -ru ../orig/HLLib/Error.cpp ./HLLib/Error.cpp

Added: head/games/hllib/files/patch-HLLib-Error.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/hllib/files/patch-HLLib-Error.cpp	Thu Feb 14 22:04:06 2013	(r312244)
@@ -0,0 +1,12 @@
+--- ../orig/HLLib/Error.cpp	2010-04-17 13:48:52.000000000 -0300
++++ ./HLLib/Error.cpp	2013-02-11 18:00:09.931600402 -0200
+@@ -139,7 +139,7 @@
+ 
+ 		hlUInt uiLength = (hlUInt)strlen(this->lpSystemError);
+ 
+-		while(uiLength >= 0 && isspace(this->lpSystemError[uiLength - 1]))
++		while(isspace(this->lpSystemError[uiLength - 1]))
+ 		{
+ 			uiLength--;
+ 		}
+diff -ru ../orig/HLLib/FileStream.cpp ./HLLib/FileStream.cpp

Added: head/games/hllib/files/patch-HLLib-FileStream.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/hllib/files/patch-HLLib-FileStream.cpp	Thu Feb 14 22:04:06 2013	(r312244)
@@ -0,0 +1,13 @@
+--- ../orig/HLLib/FileStream.cpp	2010-10-28 20:41:26.000000000 -0200
++++ ./HLLib/FileStream.cpp	2013-02-11 17:56:51.278212203 -0200
+@@ -216,6 +216,8 @@
+ 	case HL_SEEK_END:
+ 		iMode = SEEK_END;
+ 		break;
++	default:
++		;
+ 	}
+ 
+ 	return (hlUInt)lseek(this->iFile, iOffset, iMode);
+Only in ./HLLib: FileStream.cpp.orig
+diff -ru ../orig/HLLib/GCFFile.cpp ./HLLib/GCFFile.cpp

Added: head/games/hllib/files/patch-HLLib-GCFFile.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/hllib/files/patch-HLLib-GCFFile.cpp	Thu Feb 14 22:04:06 2013	(r312244)
@@ -0,0 +1,27 @@
+--- ../orig/HLLib/GCFFile.cpp	2010-11-01 20:56:16.000000000 -0200
++++ ./HLLib/GCFFile.cpp	2013-02-11 17:56:51.281214140 -0200
+@@ -789,6 +789,8 @@
+ 					}
+ 					return hlTrue;
+ 				}
++				default:
++					;
+ 			}
+ 			break;
+ 		}
+@@ -819,9 +821,13 @@
+ 					}
+ 					return hlTrue;
+ 				}
++				default:
++					;
+ 			}
+ 			break;
+ 		}
++		default:
++			;
+ 	}
+ 
+ 	return hlFalse;
+Only in ./HLLib: GCFFile.cpp.orig
+diff -ru ../orig/HLLib/HLLib.cpp ./HLLib/HLLib.cpp

Added: head/games/hllib/files/patch-HLLib-HLLib.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/hllib/files/patch-HLLib-HLLib.cpp	Thu Feb 14 22:04:06 2013	(r312244)
@@ -0,0 +1,31 @@
+--- ../orig/HLLib/HLLib.cpp	2010-11-01 19:45:14.000000000 -0200
++++ ./HLLib/HLLib.cpp	2013-02-11 17:56:51.284213443 -0200
+@@ -153,6 +153,8 @@
+ 	case HL_PACKAGE_BOUND:
+ 		*pValue = pPackage != 0;
+ 		return hlTrue;
++	default:
++		;
+ 	}
+ 
+ 	return hlFalse;
+@@ -171,6 +173,8 @@
+ 	case HL_FORCE_DEFRAGMENT:
+ 		bForceDefragment = bValue;
+ 		break;
++	default:
++		;
+ 	}
+ }
+ 
+@@ -533,6 +537,8 @@
+ 	case HL_PROC_DEFRAGMENT_PROGRESS_EX:
+ 		pDefragmentProgressExProc = (PDefragmentProgressExProc)pValue;
+ 		break;
++	default:
++		;
+ 	}
+ }
+ 
+Only in ./HLLib: HLLib.cpp.orig
+diff -ru ../orig/HLLib/Makefile ./HLLib/Makefile

Added: head/games/hllib/files/patch-HLLib-NCFFile.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/hllib/files/patch-HLLib-NCFFile.cpp	Thu Feb 14 22:04:06 2013	(r312244)
@@ -0,0 +1,27 @@
+--- ../orig/HLLib/NCFFile.cpp	2010-10-31 22:48:26.000000000 -0200
++++ ./HLLib/NCFFile.cpp	2013-02-11 17:56:51.287210992 -0200
+@@ -347,6 +347,8 @@
+ 					hlAttributeSetUnsignedInteger(&Attribute, this->lpItemAttributeNames[eAttribute], this->lpDirectoryEntries[pFile->GetID()].uiDirectoryFlags, hlTrue);
+ 					return hlTrue;
+ 				}
++				default:
++					;
+ 			}
+ 			break;
+ 		}
+@@ -360,9 +362,13 @@
+ 					hlAttributeSetUnsignedInteger(&Attribute, this->lpItemAttributeNames[eAttribute], this->lpDirectoryEntries[pFolder->GetID()].uiDirectoryFlags, hlTrue);
+ 					return hlTrue;
+ 				}
++				default:
++					;
+ 			}
+ 			break;
+ 		}
++		default:
++			;
+ 	}
+ 
+ 	return hlFalse;
+Only in ./HLLib: NCFFile.cpp.orig
+diff -ru ../orig/HLLib/SGAFile.cpp ./HLLib/SGAFile.cpp

Added: head/games/hllib/files/patch-HLLib-SGAFile.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/hllib/files/patch-HLLib-SGAFile.cpp	Thu Feb 14 22:04:06 2013	(r312244)
@@ -0,0 +1,34 @@
+--- ../orig/HLLib/SGAFile.cpp	2012-11-20 20:17:10.000000000 -0200
++++ ./HLLib/SGAFile.cpp	2013-02-11 17:56:51.289212795 -0200
+@@ -387,6 +387,8 @@
+ 						}
+ 						return hlFalse;
+ 					}
++					default:
++						;
+ 				}
+ 				break;
+ 			}
+@@ -448,9 +450,13 @@
+ 						}
+ 						return hlFalse;
+ 					}
++					default:
++						;
+ 				}
+ 				break;
+ 			}
++			default:
++				;
+ 		}
+ 	}
+ 	return hlFalse;
+@@ -624,4 +630,4 @@
+ 	{
+ 		delete []static_cast<const hlByte *>(static_cast<Streams::CMemoryStream &>(Stream).GetBuffer());
+ 	}
+-}
+\ No newline at end of file
++}
+Only in ./HLLib: SGAFile.cpp.orig
+diff -ru ../orig/HLLib/SGAFile.h ./HLLib/SGAFile.h

Added: head/games/hllib/files/patch-HLLib-SGAFile.h
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/hllib/files/patch-HLLib-SGAFile.h	Thu Feb 14 22:04:06 2013	(r312244)
@@ -0,0 +1,14 @@
+--- ../orig/HLLib/SGAFile.h	2012-09-17 20:16:38.000000000 -0300
++++ ./HLLib/SGAFile.h	2013-02-11 17:56:51.311213431 -0200
+@@ -160,8 +160,6 @@
+ 		typedef CSGADirectory<SGADirectoryHeader4, SGASection4, SGAFolder4, SGAFile, SGAFileHeader> CSGADirectory4;
+ 		typedef CSGADirectory<SGADirectoryHeader5, SGASection5, SGAFolder5, SGAFile, SGAFileHeader> CSGADirectory5;
+ 
+-		friend CSGADirectory4;
+-		friend CSGADirectory5;
+ 
+ 	private:
+ 		static const char *lpAttributeNames[];
+Only in ./HLLib: SGAFile.h.bak
+Only in ./HLLib: SGAFile.h.orig
+diff -ru ../orig/HLLib/VBSPFile.cpp ./HLLib/VBSPFile.cpp

Added: head/games/hllib/files/patch-HLLib-VBSPFile.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/hllib/files/patch-HLLib-VBSPFile.cpp	Thu Feb 14 22:04:06 2013	(r312244)
@@ -0,0 +1,38 @@
+--- ../orig/HLLib/VBSPFile.cpp	2011-05-22 07:53:42.000000000 -0300
++++ ./HLLib/VBSPFile.cpp	2013-02-11 17:56:51.294217852 -0200
+@@ -422,6 +422,8 @@
+ 						delete []lpComment;
+ 						return hlTrue;
+ 					}
++					default:
++						;
+ 				}
+ 			}
+ 			else
+@@ -444,6 +446,8 @@
+ 						hlAttributeSetUnsignedInteger(&Attribute, this->lpItemAttributeNames[eAttribute], *(hlUInt *)this->pHeader->lpLumps[uiID].lpFourCC, hlTrue);
+ 						return hlTrue;
+ 					}
++					default:
++						;
+ 				}
+ 
+ 				if(this->pEndOfCentralDirectoryRecord != 0 && pItem->GetID() == HL_VBSP_LUMP_PAKFILE)
+@@ -466,11 +470,15 @@
+ 							delete []lpComment;
+ 							return hlTrue;
+ 						}
++						default:
++							;
+ 					}
+ 				}
+ 			}
+ 			break;
+ 		}
++		default:
++			;
+ 	}
+ 
+ 	return hlFalse;
+Only in ./HLLib: VBSPFile.cpp.orig
+diff -ru ../orig/HLLib/VPKFile.cpp ./HLLib/VPKFile.cpp

Added: head/games/hllib/files/patch-HLLib-VPKFile.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/hllib/files/patch-HLLib-VPKFile.cpp	Thu Feb 14 22:04:06 2013	(r312244)
@@ -0,0 +1,18 @@
+--- ../orig/HLLib/VPKFile.cpp	2013-01-27 14:13:28.000000000 -0200
++++ ./HLLib/VPKFile.cpp	2013-02-11 17:56:51.297217265 -0200
+@@ -415,9 +415,13 @@
+ 					hlAttributeSetUnsignedInteger(&Attribute, this->lpItemAttributeNames[eAttribute], pDirectoryItem->pDirectoryEntry->uiCRC, hlTrue);
+ 					return hlTrue;
+ 				}
++				default:
++					;
+ 			}
+ 			break;
+ 		}
++		default:
++			;
+ 	}
+ 
+ 	return hlFalse;
+Only in ./HLLib: VPKFile.cpp.orig
+diff -ru ../orig/HLLib/WADFile.cpp ./HLLib/WADFile.cpp

Added: head/games/hllib/files/patch-HLLib-WADFile.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/hllib/files/patch-HLLib-WADFile.cpp	Thu Feb 14 22:04:06 2013	(r312244)
@@ -0,0 +1,18 @@
+--- ../orig/HLLib/WADFile.cpp	2010-10-31 22:56:14.000000000 -0200
++++ ./HLLib/WADFile.cpp	2013-02-11 17:56:51.300216459 -0200
+@@ -200,9 +200,13 @@
+ 					hlAttributeSetUnsignedInteger(&Attribute, this->lpItemAttributeNames[eAttribute], (hlUInt)pLump->iType, hlTrue);
+ 					return hlTrue;
+ 				}
++				default:
++					;
+ 			}
+ 			break;
+ 		}
++		default:
++			;
+ 	}
+ 
+ 	return hlFalse;
+Only in ./HLLib: WADFile.cpp.orig
+diff -ru ../orig/HLLib/XZPFile.cpp ./HLLib/XZPFile.cpp

Added: head/games/hllib/files/patch-HLLib-XZPFile.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/hllib/files/patch-HLLib-XZPFile.cpp	Thu Feb 14 22:04:06 2013	(r312244)
@@ -0,0 +1,27 @@
+--- ../orig/HLLib/XZPFile.cpp	2010-10-31 22:49:18.000000000 -0200
++++ ./HLLib/XZPFile.cpp	2013-02-11 17:56:51.302217604 -0200
+@@ -197,7 +197,7 @@
+ 		for(hlUInt i = 0; i < this->pHeader->uiDirectoryEntryCount; i++)
+ 		{
+ 			hlChar lpTemp[16] = "";
+-			hlChar *lpLookup[] = { "0", "1", "2", "3", "4", "5", "6", "7", "8", "9", "a", "b", "c", "d", "e", "f" };
++			const hlChar *lpLookup[] = { "0", "1", "2", "3", "4", "5", "6", "7", "8", "9", "a", "b", "c", "d", "e", "f" };
+ 			for(hlByte *lpCRC = (hlByte *)&this->lpDirectoryEntries[i].uiFileNameCRC; lpCRC < (hlByte *)&this->lpDirectoryEntries[i].uiFileNameCRC + sizeof(hlUInt); lpCRC++)
+ 			{
+ 				strcat(lpTemp, lpLookup[(hlByte)(*lpCRC >> 4)]);
+@@ -299,9 +299,13 @@
+ 					hlAttributeSetUnsignedInteger(&Attribute, this->lpItemAttributeNames[eAttribute], uiSize, hlFalse);
+ 					return hlTrue;
+ 				}
++				default:
++					;
+ 			}
+ 			break;
+ 		}
++		default:
++			;
+ 	}
+ 
+ 	return hlFalse;
+Only in ./HLLib: XZPFile.cpp.orig
+diff -ru ../orig/HLLib/ZIPFile.cpp ./HLLib/ZIPFile.cpp

Added: head/games/hllib/files/patch-HLLib-ZIPFile.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/hllib/files/patch-HLLib-ZIPFile.cpp	Thu Feb 14 22:04:06 2013	(r312244)
@@ -0,0 +1,24 @@
+--- ../orig/HLLib/ZIPFile.cpp	2012-09-18 19:51:30.000000000 -0300
++++ ./HLLib/ZIPFile.cpp	2013-02-11 17:56:51.305211203 -0200
+@@ -393,9 +393,13 @@
+ 					delete []lpComment;
+ 					return hlTrue;
+ 				}
++				default:
++					;
+ 			}
+ 			break;
+ 		}
++		default:
++			;
+ 	}
+ 
+ 	return hlFalse;
+@@ -598,4 +602,4 @@
+ 	{
+ 		delete []static_cast<const hlByte *>(static_cast<Streams::CMemoryStream &>(Stream).GetBuffer());
+ 	}
+-}
+\ No newline at end of file
++}
+Only in ./HLLib: ZIPFile.cpp.orig
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Felippe de Meirelles Motta freebsd_committer 2013-02-14 22:12:04 UTC
State Changed
From-To: open->closed

Committed. Thanks!